## wings3d 1.5.3

=== Makefile ===
#
#  Makefile --
#
#     Top-level Makefile for building Wings 3D.
#
#  Coepyright (c) 2001-2011 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
.PHONY: all debug clean lang

all:
	(cd intl_tools; $(MAKE))
	(cd src; $(MAKE))
	(cd fonts_src; $(MAKE))
	(cd e3d; $(MAKE))
	(cd plugins_src; $(MAKE))
	(cd icons; $(MAKE))

wx:
	(cd intl_tools; $(MAKE))
	(cd src; $(MAKE) wx)
	(cd fonts_src; $(MAKE))
	(cd e3d; $(MAKE))
	(cd plugins_src; $(MAKE))
	(cd icons; $(MAKE))

debug:
	(cd intl_tools; $(MAKE) debug)
	(cd src; $(MAKE) debug)
	(cd fonts_src; $(MAKE) debug)
	(cd e3d; $(MAKE) debug)
	(cd plugins_src; $(MAKE) debug)
	(cd icons; $(MAKE) debug)

clean:
	(cd intl_tools; $(MAKE) clean)
	(cd src; $(MAKE) clean)
	(cd fonts_src; $(MAKE) clean)
	(cd e3d; $(MAKE) clean)
	(cd plugins_src; $(MAKE) clean)
	(cd icons; $(MAKE) clean)

lang: all
	(cd intl_tools; $(MAKE))
	(cd src; $(MAKE) lang)
	(cd plugins_src; $(MAKE) lang)
	escript tools/verify_language_files .

#
# Build installer for Windows.
#
.PHONY: win32
win32: all lang
	(cd plugins_src/win32_file; $(MAKE))
	(cd plugins_src/jpeg; $(MAKE))
	(cd plugins_src/jpeg; $(MAKE) lang)
	(cd win32; $(MAKE))
	win32/make_installer

#
# Build a package for MacOS X.
#
.PHONY: macosx
macosx: all lang
	(cd plugins_src/mac_file; $(MAKE))
	(cd plugins_src/mac_file; $(MAKE) lang)
	(cd macosx; ./mac_release $(WINGS_VSN))

#
# Build package for Unix.
#
.PHONY: unix
unix: all lang
	(cd plugins_src/jpeg; $(MAKE))
	(cd plugins_src/jpeg; $(MAKE) lang)
	unix/make_installer

#
# Build the source distribution.
#

.PHONY: .FORCE-WINGS-VERSION-FILE
vsn.mk: .FORCE-WINGS-VERSION-FILE
	@/bin/sh ./WINGS-VERSION-GEN
-include vsn.mk

WINGS_TARNAME=wings-$(WINGS_VSN)
.PHONY: dist
dist:
	git archive --format=tar \
		--prefix=$(WINGS_TARNAME)/ HEAD^{tree} > $(WINGS_TARNAME).tar
	@mkdir -p $(WINGS_TARNAME)
	@echo $(WINGS_VSN) > $(WINGS_TARNAME)/version
	tar rf $(WINGS_TARNAME).tar $(WINGS_TARNAME)/version
	@rm -r $(WINGS_TARNAME)
	bzip2 -f -9 $(WINGS_TARNAME).tar

=== win32/Makefile ===
#
#  Makefile --
#
#     Makefile for building the Wings3D.exe wrapper
#     for starting Wings.
#
#  Copyright (c) 2003-2009 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id$
#

LIBS = -lkernel32 -luser32 -ladvapi32

ifeq ($(findstring CYGWIN,$(shell uname -s)),CYGWIN)
  GCC = mingw32-gcc
else
  GCC = gcc
endif


Wings3D.exe: wings3d.c wings3d_res.o
	$(GCC) -o Wings3D.exe wings3d.c wings3d_res.o $(LIBS)

wings3d_res.o: wings3d.rc
	windres -i wings3d.rc -o wings3d_res.o

=== plugins_src/commands/Makefile ===
#
#  Makefile --
#
#     Makefile for building command plug-ins.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id: Makefile,v 1.21 2006/06/29 19:57:58 giniu Exp $
#

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

ESRC=.
WINGS_INTL=../../intl_tools
EBIN=../../plugins/commands
ERLC=erlc
WINGS_SRC=../../src
WINGS_EBIN=../../ebin
WINGS_E3D=../../e3d

ifeq ($(TYPE),debug)
TYPE_FLAGS=-DDEBUG
else
TYPE_FLAGS=
endif

MODULES= \
	wpc_absolute_move \
	wpc_absolute_scale \
	wpc_ambocc \
	ambocc_gl2 \
	wpc_arc_intersect \
	wpc_bend \
	wpc_circularise \
	wpc_inset \
	wpc_connect_tool \
	wpc_constraints \
	wpc_cylindrilize \
	wpc_corner \
	wpc_deselect_previous \
	wpc_doosabin \
	wpc_explode \
	wpc_flow_connect \
	wpc_grid_snap \
	wpc_intersect_edge \
	wpc_intersect_vertex \
	wpc_magnet_mask \
	wpc_move_planar \
	wpc_numeric_camera \
	wpc_plane_cut \
	wpc_region \
	wpc_rotate_unconstrained \
	wpc_sculpt \
	wpc_sel_win \
	wpc_shear \
	wpc_shift \
	wpc_sweep_extrude \
	wpc_turnedge \
	wpc_untriangulate \
	wpc_views_win \
	wpc_weld

TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam)

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_COMPILE_FLAGS += -Werror -pa $(WINGS_EBIN) -I $(WINGS_SRC) \
   -I $(WINGS_E3D) $(TYPE_FLAGS) \
  +debug_info -pa $(WINGS_INTL) -I $(WINGS_INTL)

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug:
	$(MAKE) TYPE=$@ common

template: opt
	erl -pa $(WINGS_INTL) -noinput -run tools generate_template_files $(EBIN)

lang: template
	cp *.lang $(EBIN)
	erl -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(EBIN)

common: $(TARGET_FILES)

clean:
	rm -f $(TARGET_FILES)
	rm -f core

$(EBIN)/%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

$(EBIN)/wpc_constraints.beam: $(WINGS_E3D)/e3d.hrl

=== debian/changelog ===
wings3d (1.5.3-2) unstable; urgency=low

  * Switched to libjpeg-dev from libjpeg8-dev build-dependency.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 29 Sep 2014 22:26:05 +0400

wings3d (1.5.3-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 05 May 2014 17:00:58 +0400

wings3d (1.5.2-2) unstable; urgency=low

  * Switched back from the 'make wx' to just 'make' when building the
    package (closes: #740063).
  * Bumped standards version to 3.9.5.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 06 Mar 2014 21:17:18 +0400

wings3d (1.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 16 Dec 2013 15:50:45 +0400

wings3d (1.5.1-1) unstable; urgency=low

  * New upstream release.
  * Removed no longer necessary patches.
  * Added build-dependency and dependency on erlang-cl.
  * Switched to build-dependency on libjpeg8-dev instead of virtual
    package libjpeg-dev.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 23 Nov 2013 09:11:33 +0400

wings3d (1.4.1-5) unstable; urgency=low

  * Replaced suggested dependency on no longer existing yafray package by
    the dependency on yafaray.
  * Fixed displaying numbers in a volume and area info dialog.
  * Fixed importing ASCII STL files (closes: #698349).
  * Switched to 3.0 (quilt) source format.
  * Bumped standards version to 3.9.4.
  * Use the true original tarball (compressed by bzip2, without recompressing
    it using gzip).
  * Applied patch by upstream to make the package buildable in Erlang R16B.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 09 May 2013 22:00:36 +0400

wings3d (1.4.1-4) unstable; urgency=low

  * Upload to unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 13 Jan 2012 13:50:09 +0400

wings3d (1.4.1-3) experimental; urgency=low

  * Switched to erlang-wx to manage GL output. This makes wings3d compatible
    with the newer erlang-esdl (>= 1.2) package.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 23 Dec 2011 22:37:19 +0400

wings3d (1.4.1-2) experimental; urgency=low

  * Removed menu from the suggested packages list (closes: #647386).
  * Fixed loading Erlang drivers into R15B (only those which are actually
    enter the binary package).
  * Upload to experimental where Erlang R15B is currently.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 17 Dec 2011 12:17:33 +0400

wings3d (1.4.1-1) unstable; urgency=low

  * New upstream development release.
  * Bumped dependency on erlang-dev to 1:14.b because it doesn't work with
    earlier versions anymore.
  * Bumped standards version to 3.9.2.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 13 Jun 2011 16:10:08 +0400

wings3d (1.2-1) unstable; urgency=low

  * New upstream release.
  * Switched from cdbs to debhelper 7 with quilt.
  * Removed all unneeded README files from plugins subdirectories.
  * Don't build fonts from plugins_src directory as they are removed from the
    upstream package.
  * Switched to libjpeg-dev build dependency from libjpeg62-dev.
  * Bumped standards version to 3.8.4.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 14 Feb 2010 13:56:56 +0300

wings3d (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Removed Torsten Werner from the uploaders list as per his request.
  * New maintainer's email address pkg-erlang-devel@lists.alioth.debian.org
    mailing list.
  * Added debian/README.source file with a reference to
    /usr/share/doc/quilt/README.source.
  * Overridden lintian warning
    virtual-package-depends-without-real-package-depends because it's
    intentional to depend on erlang-abi-* separately.
  * Bumped standards version to 3.8.3.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 30 Sep 2009 14:53:20 +0400

wings3d (1.0.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 08 Jun 2009 22:15:09 +0400

wings3d (1.0-1) unstable; urgency=low

  * New upstream release.
  * Changed Wings3D menu icon following upstream.
  * Use renamed erlang-esdl package as a dependency instead of libsdl-erlang.
  * Remove generated vsn.mk in clean target of debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 26 May 2009 22:03:09 +0400

wings3d (1.0~rc1-1) unstable; urgency=low

  * New upstream release candidate.
  * Fixed debian/watch control file to understand release candidiates.
  * Added suggested dependencies on erlang-dialyzer and erlang-tools packages
    which can be used in Erlang shell of running Wings3D application.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 02 May 2009 12:17:43 +0400

wings3d (0.99.55-1) experimental; urgency=low

  * New upstream development release.
  * Added build dependency on erlang-dev 1:13.b or newer to simplify transition
    to Erlang R13B.
  * Added environment variable ESDL_PATH and option -pa /usr/lib/esdl/ebin to
    script which starts wings3d to match changes in libsdl-erlang package.
  * Bumped standards version to 3.8.1.
  * Instructed uscan control file debian/watch to use SourceForge redirector.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 22 Apr 2009 22:10:30 +0400

wings3d (0.99.06-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 16 Feb 2009 14:08:42 +0300

wings3d (0.99.03-3) unstable; urgency=low

  * Replaced parallel processing of language files by sequential one because
    it hangs sometimes causing FTBFS.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 25 Jun 2008 17:29:04 +0400

wings3d (0.99.03-2) unstable; urgency=low

  * Moving to unstable because the changes with respect to 0.99.02 are
    minor.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 24 Jun 2008 17:04:53 +0400

wings3d (0.99.03-1) experimental; urgency=low

  * New upstream development release.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 22 Jun 2008 12:38:05 +0400

wings3d (0.99.02-2) unstable; urgency=low

  * The upstream release was considered stable, so moved it to sid.


=== debian/control ===
Source: wings3d
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 8.0.0), grep-dctrl,
 erlang-dev (>= 1:15.b), erlang-esdl-dev (>= 1.2), erlang-cl,
 libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libjpeg-dev
Standards-Version: 3.9.5
Homepage: http://www.wings3d.com


Package: wings3d
Architecture: any
Depends: ${erlang-base:Depends}, ${erlang-abi:Depends}, ${erlang-wx:Depends},
 ${erlang-xmerl:Depends}, ${erlang-esdl:Depends}, erlang-cl,
 ${shlibs:Depends}, ${misc:Depends}
Suggests: ${erlang-dialyzer:Depends}, ${erlang-tools:Depends}, yafaray | aqsis
Description: Nendo-inspired 3D polygon mesh modeller
 Wings 3D is a polygon mesh modeller written entirely in Erlang.  The
 user interface was designed to be easy to use for both beginners and
 advanced users alike.  It was inspired by the famous Nendo modeller
 (from Izware.)
 .
 Unlike similar modelling programs (such as Blender), this program
 does not provide native support for doing animations (though you can
 output its models to an animation tool.)
 .
 Wings 3D supports the following import formats: Nendo (NDO),
 3D Studio (3DS), Wavefront (OBJ), and Adobe Illustrator 8 (AI).
 .
 Wings 3D supports the following export formats: Nendo (NDO),
 3D Studio (3DS), Wavefront (OBJ), VRML (WRL), Renderman (RIB),
 Hash:Animation Master (MDL), Renderware (RWX), Yafray, Toxic,
 and FBX via a third-party plug-in.
 .
 Open Source Erlang is a functional programming language designed at
 the Ericsson Computer Science Laboratory.

=== debian/rules ===
#!/usr/bin/make -f

-include vsn.mk

export HOME := $(CURDIR)/debian
DIR := debian/wings3d
LIBDIR := /usr/lib/erlang/lib/wings-$(WINGS_VSN)
LINTIANDIR := /usr/share/lintian/overrides
SUBDIRS := ebin fonts plugins shaders textures

%:
	dh $@

vsn.mk:
	$(MAKE) vsn.mk

override_dh_clean:
	rm -rf plugins/accel
	rm -rf plugins/jpeg
	find plugins -name '*.lang' -exec rm -f \{\} \;
	rm -f ebin/*.lang
	rm -f src/wings_en.lang
	rm -f plugins_src/autouv/autouv_en.lang
	dh_clean vsn.mk erl_crash.dump '*.beam' '*.so'

override_dh_auto_build:
	$(MAKE)
	$(MAKE) lang

override_dh_install:
	dh_install -XREADME $(SUBDIRS) $(LIBDIR)
	# Remove errant executable flags to please lintian
	find $(DIR)$(LIBDIR) -type f -exec chmod a-x \{\} \;
	# prepare substvars file
	erlang-depends
	grep-status -s Version -PX erlang-esdl | \
	    sed -e's!^Version: \(.*\)-.*!erlang-esdl:Depends=erlang-esdl (>= \1)!' \
	    >> debian/wings3d.substvars

get-orig-source:
	wget -O wings3d_1.5.3.orig.tar.bz2 \
	    http://prdownloads.sourceforge.net/wings/wings-1.5.3.tar.bz2

.PHONY: override_dh_clean override_dh_auto_build override_dh_install get-orig-source

## wings3d 1.5.4

=== fonts_src/Makefile ===
#
#  Makefile --
#
#     Makefile for fonts.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id: Makefile,v 1.8 2005/06/08 05:58:17 bjorng Exp $
#

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

include ../vsn.mk

ESRC=.
EBIN=.
FONT_DIR=../fonts
ERLC=erlc

ifeq ($(TYPE),debug)
TYPE_FLAGS=-DDEBUG
else
TYPE_FLAGS=
endif

FONTS=       \
	6x11 \
	7x14 \
	fixed6x12 \
	fixed7x14 \
	Helvetica11 \
	Helvetica14 \
	Helvetica20 \
	Terminus16 \
	Terminus22 \
	CJK-12 \
	CJK-16 \
	CJK-efontB14 \
	CJK-efontB16 \
	CJK-efontB24


MODULES= \
	bdf2wingsfont

FONT_FILES= $(FONTS:%=$(FONT_DIR)/%.wingsfont)
TARGET_FILES=  $(MODULES:%=$(EBIN)/%.beam) $(FONT_FILES)

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_COMPILE_FLAGS += -Werror $(TYPE_FLAGS) +debug_info

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug:
	$(MAKE) TYPE=$@ common

common: $(TARGET_FILES)


$(FONT_DIR)/6x11.wingsfont: 6x11_latin1.bdf 6x11_latin2.bdf 6x11_cyrillic.bdf 6x11_latin5.bdf
$(FONT_DIR)/7x14.wingsfont: 7x14_latin1.bdf 7x14_latin2.bdf 7x14_cyrillic.bdf 7x14_latin5.bdf

$(FONT_DIR)/fixed6x12.wingsfont: fixed6x12.bdf
$(FONT_DIR)/fixed7x14.wingsfont: fixed7x14.bdf

# helvR??.bdf are sourced from font-adobe-100dpi-1.0.1.tar.gz
# crox?h.bdf are sourced from font-cronyx-cyrillic-1.0.1.tar.gz
#
# Both tarballs were downloaded from
# http://xorg.freedesktop.org/releases/individual/font/
#
$(FONT_DIR)/Helvetica11.wingsfont: helvR08.bdf helvR08_char0.bdf crox1h.bdf
$(FONT_DIR)/Helvetica14.wingsfont: helvR10.bdf helvR10_char0.bdf crox2h.bdf
$(FONT_DIR)/Helvetica20.wingsfont: helvR14.bdf helvR14_char0.bdf crox4h.bdf

# ter-u???.bdf are sourced from terminus-font-4.30.tar.gz
# downloaded from http://www.is-vn.bg/hamster/
#
$(FONT_DIR)/Terminus16.wingsfont: ter-u16b.bdf
$(FONT_DIR)/Terminus22.wingsfont: ter-u22b.bdf

# wenquanyi_*pt_cjk.bdf are built from wqy-bitmapsong-bdf-1.0.0-RC1.tar.gz
# downloaded from https://sourceforge.net/projects/wqy/
#
# These BDF files are built with the command
#
#	make -f Makefile_liber wenquanyi_{9,10,11,12}pt_cjk.bdf
#
# gulim12.bdf sourced from xfonts-baekmuk_2.2.orig.tar.gz
# downloaded from http://ftp.us.debian.org/debian/pool/main/x/xfonts-baekmuk/
#
#
$(FONT_DIR)/CJK-12.wingsfont: gulim12.bdf wenquanyi_10pt_cjk.bdf wenquanyi_10pt_cjk_char0.bdf
$(FONT_DIR)/CJK-16.wingsfont: wenquanyi_12pt_cjk.bdf wenquanyi_12pt_cjk_char0.bdf

# efont_b???.bdf sourced from efont-unicode-bdf-0.4.2.tar.bz2
# downloaded from http://openlab.jp/efont/unicode/index.html.en
# 
#
$(FONT_DIR)/CJK-efontB14.wingsfont: efont_b14.bdf efont_16pt_cjk_char0.bdf
$(FONT_DIR)/CJK-efontB16.wingsfont: efont_b16.bdf efont_16pt_cjk_char0.bdf
$(FONT_DIR)/CJK-efontB24.wingsfont: efont_b24.bdf efont_24pt_cjk_char0.bdf



$(FONT_FILES): bdf2wingsfont.beam

bdf2wingsfont.beam: font_version.hrl

clean:
	rm -f $(TARGET_FILES)
	rm -f $(FONT_DIR)/*.wingsfont
	rm -f core

$(EBIN)/%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_FLAGS) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

$(FONT_DIR)/%.wingsfont:
	erl -noinput -run bdf2wingsfont convert $@ $(filter %.bdf,$^)

=== icons/Makefile ===
#
#  Makefile --
#
#     Makefile for building icons for Wings 3D.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id: Makefile,v 1.7 2006/08/23 02:56:49 antoneos Exp $
#

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

ESRC=.
EBIN=../ebin
ERLC=erlc

ICONSETS= \
	classic \
	bluecube \
	purpletube

TARGET_FILES = $(ICONSETS:%=$(EBIN)/wings_icon_%.bundle)

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_FLAGS += 
ERL_COMPILE_FLAGS += -Werror +debug_info

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug: collect_bmp.beam $(TARGET_FILES)

$(EBIN)/wings_icon_%.bundle: ${wildcard %/*.bmp} ${wildcard %/*.tga} collect_bmp.beam about_wings.bmp
	erl $(ERL_FLAGS) -noinput -run collect_bmp start . $(ESRC)/$* $@ -s erlang halt

clean:
	for ICONSET in $(ICONSETS); do \
		rm -f $(EBIN)/wings_icon_$$ICONSET.bundle; \
	done
	rm -f collect_bmp.beam

%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_COMPILE_FLAGS) -o. $<

=== intl_tools/Makefile ===
#
#  Makefile --
#
#     Makefile for building Wings 3D.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id$
#

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

include ../vsn.mk

ESRC=.
EBIN=.
ERLC=erlc

ifeq ($(TYPE),debug)
TYPE_FLAGS=-DDEBUG +debug_info
else
TYPE_FLAGS=+debug_info
endif

MODULES= tools

TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam)

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_FLAGS += 
ERL_COMPILE_FLAGS += -Werror $(TYPE_FLAGS) +debug_info

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug:
	$(MAKE) TYPE=$@ common

common: $(TARGET_FILES)

clean:
	rm -f $(TARGET_FILES)
	rm -f core

$(EBIN)/%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_FLAGS) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

=== plugins_src/Makefile ===
#
#  Makefile --
#
#     Makefile for building the plug-ins.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id: Makefile,v 1.20 2006/01/19 22:30:47 giniu Exp $
#

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

ESRC=.
WINGS_INTL=../intl_tools
EBIN=../plugins/default
ERLC=erlc

ifeq ($(TYPE),debug)
TYPE_FLAGS=-DDEBUG
else
TYPE_FLAGS=
endif

MODULES= \
	wpc_test_ask \
	wp9_dialogs

TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam)

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_COMPILE_FLAGS += -Werror $(TYPE_FLAGS) +debug_info -pa $(WINGS_INTL) -I $(WINGS_INTL)

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug:
	$(MAKE) TYPE=$@ common

common: $(TARGET_FILES) subdirs

subdirs:
	(cd accel; $(MAKE))
	(cd import_export; $(MAKE))
	(cd primitives; $(MAKE))
	(cd commands; $(MAKE))
	(cd autouv; $(MAKE))

template: opt
	erl -pa $(WINGS_INTL) -noinput -run tools generate_template_files $(EBIN)

lang: subdirs_lang template
	cp *.lang $(EBIN)
	erl -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(EBIN)

subdirs_lang:
	(cd import_export; $(MAKE) lang)
	(cd primitives; $(MAKE) lang)
	(cd commands; $(MAKE) lang)
	(cd autouv; $(MAKE) lang)

clean: subdirs_clean
	rm -f $(TARGET_FILES)
	rm -f core

subdirs_clean:
	(cd accel; $(MAKE) clean)
	(cd import_export; $(MAKE) clean)
	(cd primitives; $(MAKE) clean)
	(cd commands; $(MAKE) clean)
	(cd autouv; $(MAKE) clean)

$(EBIN)/%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

=== src/Makefile ===
#
#  Makefile --
#
#     Makefile for building Wings 3D.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id$
#

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

include ../vsn.mk

ESRC=.
WINGS_INTL=../intl_tools
EBIN=../ebin
ERLC=erlc

ifeq ($(TYPE),debug)
TYPE_FLAGS=-DDEBUG +debug_info
else
TYPE_FLAGS=+debug_info
endif

ifeq ($(TYPE),wx)
USE_WX=-DUSE_WX=1
else
USE_WX=
endif

# All modules except wings_langs are mentioned here. It contains a parse
# transform needed for compiling the other modules, so we must use a special
# rule to ensure that it gets compiled before all other modules.

MODULES= \
	array \
	user_default \
	wings \
	wings_align \
	wings_ask \
	wings_body \
	wings_camera \
	wings_cl \
	wings_cc \
	wings_cc_ref \
	wings_collapse \
	wings_color \
	wings_console \
	wings_deform \
	wings_develop \
	wings_dissolve \
	wings_dl \
	wings_drag \
	wings_draw \
	wings_draw_setup \
	wings_edge \
	wings_edge_cmd \
	wings_edge_loop \
	wings_export \
	wings_extrude_edge \
	wings_extrude_face \
	wings_face \
	wings_face_cmd \
	wings_facemat \
	wings_file \
	wings_ff_ndo \
	wings_ff_wings \
	wings_gl \
	wings_help \
	wings_hotkey \
	wings_image \
	wings_import \
	wings_init \
	wings_io \
	wings_io_sdl \
	wings_io_wx \
	wings_job \
	wings_light \
	wings_magnet \
	wings_material \
	wings_menu \
	wings_menu_util \
	wings_move \
	wings_msg \
	wings_outliner \
	wings_palette \
	wings_pb \
	wings_pick \
	wings_plugin \
	wings_pref \
	wings_pref_dlg \
	wings_proxy \
	wings_render \
	wings_rotate \
	wings_s \
	wings_sel \
	wings_sel_conv \
	wings_sel_cmd \
	wings_scale \
	wings_shaders \
	wings_shape \
	wings_shapes \
	wings_start \
	wings_subdiv \
	wings_theme \
	wings_toolbar \
	wings_tesselation \
	wings_text \
	wings_tweak \
	wings_u \
	wings_undo \
	wings_util \
	wings_va \
	wings_vec \
	wings_vertex \
	wings_vertex_cmd \
	wings_view \
	wings_we \
	wings_we_build \
	wings_we_util \
	wings_wm \
	wings_wm_toplevel \
	wpa

TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam)

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_COMPILE_FLAGS += -Werror -I ../e3d $(TYPE_FLAGS) \
'-Dwings_version="$(WINGS_VSN)"' -pa $(WINGS_INTL) $(USE_WX)

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug wx:
	$(MAKE) TYPE=$@ common

common: $(EBIN)/wings_lang.beam $(TARGET_FILES)

template: $(TARGET_FILES)
	erl -pa $(WINGS_INTL) -noinput -run tools generate_template ../ebin -run erlang halt

lang: template
	@cp *.lang $(EBIN)
	erl -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(EBIN)

clean:
	rm -f $(TARGET_FILES) $(EBIN)/wings_lang.beam
	rm -f core

$(EBIN)/wings_u.beam: $(ESRC)/wings_u.erl
	$(ERLC) '-Dwings_branch="$(WINGS_BRANCH)"' $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

$(EBIN)/wings_text.beam: $(ESRC)/wings_text.erl
	$(ERLC) -I../fonts_src $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

$(EBIN)/%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

# ----------------------------------------------------
# Dependencies
# ----------------------------------------------------
$(EBIN)/wings_export.beam $(EBIN)/wings_file.beam $(EBIN)/wings_help.beam $(EBIN)/wings_pref.beam $(EBIN)/wings_u.beam $(EBIN)/wpa.beam: ../vsn.mk

$(EBIN)/wings_text.beam: ../fonts_src/font_version.hrl

$(TARGET_FILES): $(EBIN)/wings_lang.beam wings.hrl

DEPENDENT_OF_E3D_HRL = \
	wings_draw \
	wings_export \
	wings_face \
	wings_file \
	wings_import \
	wings_job \
	wings_light \
	wings_pick \
	wings_plugin \
	wings_tesselation \
	wings_we \
	wpa

$(DEPENDENT_OF_E3D_HRL:%=$(EBIN)/%.beam): ../e3d/e3d.hrl

=== plugins_src/accel/Makefile ===
#
#  Makefile --
#
#     Makefile for building Wings "accelerator" helpers.
#
#  Copyright (c) 2004-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id: Makefile,v 1.11 2006/01/14 09:02:38 dgud Exp $
#
OS := $(shell uname -s)

ifeq ($(findstring CYGWIN,$(OS)),CYGWIN)
  USEMINGWGCC := true
  DEF_CC = mingw32-gcc
endif

ifeq ($(MSYSTEM),MINGW32)
  USEMINGWGCC := true
  DEF_CC = gcc
endif

LIBDIR = ../../plugins/accel

ERL_DIR := $(shell echo 'io:format("~s~n",[code:root_dir()]),init:stop().' | erl | sed -n '/^1>/s/^1> //p')
ERL_INC = "$(ERL_DIR)/usr/include"
BEAM = 	$(LIBDIR)/wpc_pnoise.beam \
	$(LIBDIR)/pnoise.beam \
	$(LIBDIR)/wpc_pick.beam

UNIVERSAL_FLAGS =
COMMON_CFLAGS = -Wall -Werror -O3

ifdef USEMINGWGCC
 SO_EXT = dll
 LIBS = -shared
 GL_LIBS = -lopengl32 -lglu32
 CFLAGS = $(COMMON_CFLAGS)
else
 SO_EXT = so
 DEF_CC = $(CC)
 ifeq ($(OS),Darwin)
   CFLAGS = $(UNIVERSAL_FLAGS) $(COMMON_CFLAGS)
   LIBS = $(UNIVERSAL_FLAGS) -bundle -flat_namespace -undefined suppress
   GL_LIBS =
 else
   LIBS = -shared -fpic
   GL_LIBS = -L/usr/local/lib -lGLU -lGL
   CFLAGS = $(COMMON_CFLAGS)
 endif
endif

ifeq ($(GCC),)
    GCC = $(DEF_CC)
endif

ERLC = erlc
ERLC_FLAGS = -Werror -o $(LIBDIR) +debug_info

DRV = $(LIBDIR)/perlin_noise_drv.$(SO_EXT) \
      $(LIBDIR)/wings_pick_drv.$(SO_EXT)

TARGET_FILES=$(BEAM) $(DRV)

all: $(TARGET_FILES)

$(LIBDIR)/%.beam: %.erl
	install -d $(LIBDIR)
	$(ERLC) $(ERLC_FLAGS) $<

$(LIBDIR)/%.$(SO_EXT): %.c
	install -d $(LIBDIR)
	$(GCC) $(COMMON_CFLAGS) -I$(ERL_INC) -o $@ $< $(LIBS) $(GL_LIBS)

clean:
	rm -f $(TARGET_FILES)
	rm -f core

=== plugins_src/import_export/Makefile ===
#
#  Makefile --
#
#     Makefile for building import/export plug-ins.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id: Makefile,v 1.25 2006/09/06 22:52:18 antoneos Exp $
#

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

ESRC=.
WINGS_INTL=../../intl_tools
EBIN=../../plugins/import_export
ERLC=erlc
WINGS_SRC=../../src
WINGS_EBIN=../../ebin
WINGS_E3D=../../e3d

ifeq ($(TYPE),debug)
TYPE_FLAGS=-DDEBUG
else
TYPE_FLAGS=
endif

MODULES= \
	wpc_3ds \
	wpc_ai \
	wpc_bzw \
	wpc_collada \
	wpc_hlines \
	wpc_kerky \
	wpc_lwo \
	wpc_obj \
	wpc_pov \
	wpc_ps \
	wpc_rwx \
	wpc_stl \
	wpc_svg_path \
	wpc_wrl \
	wpc_x \
	wpc_yafray

TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam)

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_COMPILE_FLAGS += -Werror \
  -pa $(WINGS_EBIN) -pa $(WINGS_INTL) -I $(WINGS_INTL) \
  -I $(WINGS_SRC) -I $(WINGS_E3D) $(TYPE_FLAGS) +debug_info

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug:
	$(MAKE) TYPE=$@ common

template: opt
	erl -pa $(WINGS_INTL) -noinput -run tools generate_template_files $(EBIN)

lang: template
	cp *.lang $(EBIN)
	erl -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(EBIN)

common: $(TARGET_FILES)

clean:
	rm -f $(TARGET_FILES)
	rm -f core

$(EBIN)/%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

# ----------------------------------------------------
# Dependencies
# ----------------------------------------------------

$(TARGET_FILES): $(WINGS_E3D)/e3d.hrl

=== plugins_src/jpeg/Makefile ===
#
#  Makefile --
#
#     Makefile for building file JPEG image plug-in.
#
#  Copyright (c) 2004-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id: Makefile,v 1.7 2006/01/20 14:47:02 giniu Exp $
#

ifeq ($(findstring CYGWIN,$(shell uname -s)),CYGWIN)
  WINDOWS := true
  DEF_CC = mingw32-gcc
endif

ifeq ($(findstring MINGW32,$(shell uname -s)),MINGW32)
  WINDOWS := true
  DEF_CC = gcc
endif

WINGS_INTL=../../intl_tools
LIBDIR = ../../plugins/jpeg

ERL_DIR := $(shell echo 'io:format("~s~n",[code:root_dir()]),init:stop().' | erl | sed -n '/^1>/s/^1> //p')
ERL_INC = "$(ERL_DIR)/usr/include"
BEAM = $(LIBDIR)/wp8_jpeg_image.beam
LIBS = -shared 

ERLC = erlc
ERLC_FLAGS = -o $(LIBDIR) -I ../../e3d -I ../../src
ERL_COMPILE_FLAGS += -Werror $(TYPE_FLAGS) -pa $(WINGS_INTL) -I $(WINGS_INTL) +debug_info

ifdef WINDOWS
  SO_EXT = dll
else
  SO_EXT = so
  DEF_CC = $(CC)
endif

ifeq ($(GCC),)
     GCC = $(DEF_CC)
endif

DRV = $(LIBDIR)/wings_jpeg_image_drv.$(SO_EXT)

opt: $(BEAM) $(DRV)

template: opt
	erl -pa $(WINGS_INTL) -noinput -run tools generate_template_files $(LIBDIR)

lang: template
	cp *.lang $(LIBDIR)
	erl -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(LIBDIR)

$(LIBDIR)/%.beam: %.erl
	install -d $(LIBDIR)
	$(ERLC) $(ERLC_FLAGS) $(ERL_COMPILE_FLAGS) $<

ifdef WINDOWS

JPEG_DIR = /usr/local

$(LIBDIR)/wings_jpeg_image_drv.dll: wings_jpeg_image_drv.c
	install -d $(LIBDIR)
	$(GCC) -I$(ERL_INC) -o $(LIBDIR)/wings_jpeg_image_drv.dll \
		-I$(JPEG_DIR)/include \
		wings_jpeg_image_drv.c $(LIBS) $(JPEG_DIR)/lib/libjpeg.a

else

$(LIBDIR)/wings_jpeg_image_drv.so: wings_jpeg_image_drv.c
	install -d $(LIBDIR)
	$(GCC) -fPIC -o $(LIBDIR)/wings_jpeg_image_drv.so -I$(ERL_INC) \
	-I/usr/local/include -L/usr/local/lib \
  wings_jpeg_image_drv.c $(LIBS) -ljpeg

endif

=== plugins_src/mac_file/Makefile ===
#
#  Makefile --
#
#     Makefile for building file dialog plug-in for Mac.
#
#  Copyright (c) 2002-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id$
#
LIBDIR = ../../plugins/mac_file
WINGS_EBIN = ../../ebin
WINGS_INTL=../../intl_tools
CFLAGS = $(UNIVERSAL_FLAGS)

ERL_DIR := $(shell echo 'io:format("~s~n",[code:root_dir()]),halt().' | erl | sed 's,^[0-9]*> *,,g' | tail +2)

BEAM = $(LIBDIR)/wp8_mac_file.beam \
       $(LIBDIR)/wp8_mac_image.beam \
       $(LIBDIR)/wpc_mac_misc.beam

ERLC = erlc
ERLC_FLAGS = -Werror +debug_info -o $(LIBDIR) -I ../../e3d -I ../../src -pa $(WINGS_EBIN) -pa $(WINGS_INTL) -I $(WINGS_INTL)

DRV = $(LIBDIR)/mac_wings_image_drv.so

opt: $(DRV) $(BEAM)

template: opt
	erl -pa $(WINGS_INTL) -noinput -run tools generate_template $(LIBDIR) -run erlang halt

lang: template
	cp *.lang $(LIBDIR)
	erl -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(LIBDIR)

$(LIBDIR)/%.beam: %.erl
	install -d $(LIBDIR)
	$(ERLC) $(ERLC_FLAGS) $<

$(LIBDIR)/mac_wings_image_drv.so: mac_wings_image_drv.m
	install -d $(LIBDIR)
	$(CC) -Werror -I $(ERL_DIR)/usr/include \
	  -bundle -flat_namespace -undefined suppress \
          -framework Cocoa -o $(LIBDIR)/mac_wings_image_drv.so $(UNIVERSAL_FLAGS) \
	  mac_wings_image_drv.m

=== plugins_src/primitives/Makefile ===
#
#  Makefile --
#
#     Makefile for building plug-ins for primitives.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id: Makefile,v 1.14 2006/08/02 22:44:40 antoneos Exp $
#

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

ESRC=.
WINGS_INTL=../../intl_tools
EBIN=../../plugins/primitives
ERLC=erlc
WINGS_SRC=../../src
WINGS_E3D=../../e3d

ifeq ($(TYPE),debug)
TYPE_FLAGS=-DDEBUG
else
TYPE_FLAGS=
endif

MODULES= \
	wpc_bbox \
	wpc_cylinder \
	wpc_geodome \
	wpc_image \
	wpc_knot \
	wpc_ncube \
	wpc_plane \
	wpc_spiral \
	wpc_torus \
	wpc_tt

TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam)

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_COMPILE_FLAGS += -Werror -I $(WINGS_SRC) -I $(WINGS_E3D) \
  $(TYPE_FLAGS) -pa $(WINGS_INTL) -I $(WINGS_INTL) +debug_info

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug:
	$(MAKE) TYPE=$@ common

template: opt
	erl -pa $(WINGS_INTL) -noinput -run tools generate_template_files $(EBIN)

lang: template
	cp *.lang $(EBIN)
	erl -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(EBIN)

common: $(TARGET_FILES)

clean:
	rm -f $(TARGET_FILES)
	rm -f core

$(EBIN)/%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

$(EBIN)/wpc_image.beam $(EBIN)/wpc_tt.beam: $(WINGS_E3D)/e3d.hrl

=== plugins_src/qt_file/Makefile ===

# wp8_qt_file - Makefile for Unix-like systems
#
# Chris Osgood : 2001/12/14
#

CC = g++
ERL_TOP = /usr/lib/erlang
LD = ld
LDFLAGS = -fPIC -shared -s
LIBS = -lqt

LIBDIR = ../../plugins/qt_file
OBJDIR = .

# Includes
#
INCLUDES = -I. -I$(ERL_TOP)/usr/include -I/usr/include/qt

# Libraries (static)
#

# Compiler options
# 
CFLAGS = $(INCLUDES) -g -O2 -Wall -fPIC

# Object files
#
OBJS = $(OBJDIR)/qt_wings_file_drv.o

DLLS = $(LIBDIR)/qt_wings_file_drv.so

BEAM = $(LIBDIR)/wp8_qt_file.beam
ERLC = erlc
ERLC_FLAGS = -Werror -o $(LIBDIR)

#
# Targets
#

all:	$(DLLS) $(BEAM)

clean: 
	rm -f $(LIBDIR)/*.so
	rm -f $(LIBDIR)/*.o
	rm -f $(LIBDIR)/*.beam

$(LIBDIR)/qt_wings_file_drv.so:qt_wings_file_drv.cpp
	$(CC) $(CFLAGS) -c -o $(OBJDIR)/qt_wings_file_drv.o qt_wings_file_drv.cpp
	install -d $(LIBDIR)
	$(LD) $(LDFLAGS) -o $(LIBDIR)/qt_wings_file_drv.so $(OBJS) $(LIBS)
	rm -f $(OBJDIR)/*.o

$(LIBDIR)/wp8_qt_file.beam: wp8_qt_file.erl
	install -d $(LIBDIR)
	$(ERLC) $(ERLC_FLAGS) wp8_qt_file.erl

=== plugins_src/win32_file/Makefile ===
#
#  Makefile --
#
#     Makefile for building file dialog plug-in for Windows.
#
#  Copyright (c) 2003-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id$
#

WINGS_INTL=../../intl_tools
LIBDIR = ../../plugins/win32_file

ERL_DIR := $(shell echo 'io:format("~s~n",[code:root_dir()]),init:stop().' | erl | sed -n '/^1>/s/^1> //p')
ERL_INC = "$(ERL_DIR)/usr/include"
BEAM = $(LIBDIR)/wp8_file.beam
LIBS = -shared -lcomdlg32

ERLC = erlc
ERLC_FLAGS = -o $(LIBDIR) -I ../../e3d -I ../../src -Werror +debug_info -pa $(WINGS_INTL) -I $(WINGS_INTL)

DRV = $(LIBDIR)/wings_file_drv.dll

ifeq ($(findstring CYGWIN,$(shell uname -s)),CYGWIN)
  DEF_CC = mingw32-gcc
else
  DEF_CC = gcc
endif

ifeq ($(GCC),)
    GCC = $(DEF_CC)
endif

opt: $(BEAM) $(DRV)

template: opt
	erl -pa $(WINGS_INTL) -noinput -run tools generate_template_files $(LIBDIR)

lang: template
	cp *.lang $(LIBDIR)
	erl -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(LIBDIR)

$(LIBDIR)/%.beam: %.erl
	install -d $(LIBDIR)
	$(ERLC) $(ERLC_FLAGS) $<

$(LIBDIR)/wings_file_drv.dll: wings_file_drv.c
	install -d $(LIBDIR)
	$(GCC) -I$(ERL_INC) -o $(LIBDIR)/wings_file_drv.dll wings_file_drv.c $(LIBS)

=== debian/changelog ===
wings3d (1.5.4-1) unstable; urgency=medium

  * New upstream release.
  * Removed unnecessary patches.
  * Added a patch which allows one to build Wings3d plugins without the
    previous version installed system-wide.
  * Removed the Wings3d menu file because the desktop file is replacing it.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 17 Nov 2015 13:24:41 +0300

wings3d (1.5.3-3) unstable; urgency=medium

  * Fixed FTBFS with Erlang 18 due to calling deprecated function
    erlang:now/0 (closes: #791415).
  * Bumped standards version to 3.9.6.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 04 Aug 2015 11:12:56 +0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 8.0.0), grep-dctrl,
  erlang-dev (>= 1:15.b), erlang-esdl-dev (>= 1.2), erlang-cl,
  libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libjpeg-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.wings3d.com

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	    >> debian/wings3d.substvars
 
 get-orig-source:
-	wget -O wings3d_1.5.3.orig.tar.bz2 \
-	    http://prdownloads.sourceforge.net/wings/wings-1.5.3.tar.bz2
+	wget -O wings3d_1.5.4.orig.tar.bz2 \
+	    http://prdownloads.sourceforge.net/wings/wings-1.5.4.tar.bz2
 
 .PHONY: override_dh_clean override_dh_auto_build override_dh_install get-orig-source
